commit:     f6c3ddd2d61dbe58e78529762f22edf93615b2cf
Author:     Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sat Feb 15 17:11:53 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Feb 15 17:11:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f6c3ddd2

sci-electronics/slang: add 8.0

Signed-off-by: Huang Rui <vowstar <AT> gmail.com>

 sci-electronics/slang/Manifest         |  1 +
 sci-electronics/slang/slang-8.0.ebuild | 71 ++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-electronics/slang/Manifest b/sci-electronics/slang/Manifest
index 4e63f0a74..557946215 100644
--- a/sci-electronics/slang/Manifest
+++ b/sci-electronics/slang/Manifest
@@ -1 +1,2 @@
 DIST slang-7.0.tar.gz 1461841 BLAKE2B 
d4ba3abb891f3ebbc73f6d69ae78d180cef8dc8d4041f192be162d73664ba4dbe19d7deb65a0d4498c3e3df8b7412904724dab6c518c73f3541e90a8a9925da2
 SHA512 
657c2a12beac5fe190be77953836320903c4492004b6877e0e5ef1be42516184048e1caed30aa8d4f89a9a20651389d1baab76ccb82e9c7d9a6fdf4e29815239
+DIST slang-8.0.tar.gz 1523813 BLAKE2B 
7bec58bc5d9b58274c95805ec80ff727486d7b1c2a248759253b180f287b83d39d301b9311deec403bb63e826aaf50504c668956581d509b5844bbc21217ad98
 SHA512 
a8b4fa9eeebf0f2a3432111071eb016557f91bf0541a45554b29b30b77003d2bc6df4812577c9b2dfe7497254b6a57af05fb56733d5ca924c6c7772f27fd24f7

diff --git a/sci-electronics/slang/slang-8.0.ebuild 
b/sci-electronics/slang/slang-8.0.ebuild
new file mode 100644
index 000000000..123b45512
--- /dev/null
+++ b/sci-electronics/slang/slang-8.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit cmake python-single-r1
+
+DESCRIPTION="SystemVerilog compiler and language services"
+HOMEPAGE="
+       https://sv-lang.com
+       https://github.com/MikePopoloski/slang
+"
+
+if [[ "${PV}" == "9999" ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/MikePopoloski/${PN}.git";
+else
+       SRC_URI="https://github.com/MikePopoloski/${PN}/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+       S="${WORKDIR}/${P}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="python test"
+REQUIRED_USE=" ${PYTHON_REQUIRED_USE} "
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               >=dev-python/pybind11-2.10[${PYTHON_USEDEP}]
+       ')
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=dev-libs/libfmt-9.1.0
+       test? ( >=dev-cpp/catch-3.0.1 )
+"
+
+src_prepare() {
+       default
+       # In order to compile smoothly, the minimum version of fmt must be 
lowered.
+       sed -i \
+               -e 's/set(fmt_min_version.*)/set(fmt_min_version "9.0")/' \
+               "${S}/external/CMakeLists.txt" || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       python_setup
+       local mycmakeargs=(
+               -D CMAKE_INSTALL_LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+               -D BUILD_SHARED_LIBS=ON
+               -D SLANG_INCLUDE_PYLIB=$(usex python)
+               -D SLANG_INCLUDE_TESTS=$(usex test)
+               -D SLANG_USE_MIMALLOC=OFF
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       if use python; then
+               # fix python unexpected paths QA
+               mkdir -p "${D}/$(python_get_sitedir)" || die
+               mv "${D}"/usr/pyslang* "${D}/$(python_get_sitedir)" || die
+       fi
+}

Reply via email to